@import "src/styles/variables";

.header {
  padding: 20px 0;
  box-sizing: border-box;
  background: rgba($moon-light, 0.6);
  box-shadow: 0 0 0 rgba(201, 202, 224, 1);

  // .header__container
  &__container {
    display: flex;
    align-items: center;
    justify-content: space-around;
  }

  // .header__logo

  &__logo {
    margin-right: 40px;
    min-height: 64px;
    display: flex;
    align-items: center;
    text-decoration: none;
    font-size: 32px;
    color: $black;

    img {
      width: 64px;
      margin-right: 16px;
    }
  }

  // .header__auth

  &__auth {
    margin-left: 40px;
    display: flex;

    li {
      &:not(:last-child) {
        margin-right: 20px;
      }
    }
  }
}
